리워드

리워드 목록 조회

GET
/admin/v2/rewards

Authorization

HTTPBasic
AuthorizationBasic <token>

In: header

Query Parameters

first?integer

조회할 개수 (기본값: 30, 최대값: 100)

after?string

조회할 시작 커서 (응답의 pageInfo.endCursor)

status?string

상태 (RewardRequestStatus)

Value in"QUEUED" | "SENDING" | "SUCCESS" | "FAILURE" | "CANCELLED" | "INVALID" | "UNAPPROVED"
reviewCategories?array<>

리뷰 종류

createdAtStart?string

리뷰 작성일 시작 일시 (ISO-8601)

createdAtEnd?string

리뷰 작성일 종료 일시 (ISO-8601)

updatedAtStart?string

리뷰 작성일 시작 일시 (ISO-8601)

updatedAtEnd?string

리뷰 작성일 종료 일시 (ISO-8601)

Response Body

application/json

application/json

curl -X GET "https://api.vreview.tv/admin/v2/rewards"
{
  "totalCount": 0,
  "data": [
    {
      "id": "string",
      "amount": 0,
      "reviewCategory": "string",
      "status": "QUEUED",
      "review": {
        "id": "string",
        "createdAt": "string",
        "updatedAt": "string"
      },
      "order": {
        "id": "string",
        "originId": "string",
        "memberOriginId": "string"
      },
      "orderItem": {
        "id": "string",
        "originId": "string"
      },
      "createdAt": "string"
    }
  ],
  "pageInfo": {
    "hasNextPage": true,
    "endCursor": "string"
  }
}